Vulnerability CVE-2018-12544


Published: 2018-10-10

Description:
In version from 3.5.Beta1 to 3.5.3 of Eclipse Vert.x, the OpenAPI XML type validator creates XML parsers without taking appropriate defense against XML attacks. This mechanism is exclusively when the developer uses the Eclipse Vert.x OpenAPI XML type validator to validate a provided schema.

 References:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=539568
https://github.com/vert-x3/vertx-web/issues/1021

Copyright 2018, cxsecurity.com

 

Back to Top